#check out www.sccs.swarthmore.edu/~sven/gimp 
#if you want to know more about the purpose and author of this script.

$name = shift;

print "#makefile created by Sven's plugin-make.pl\n";
print "#(gimptool didn't quite work for me in win32. \n";
print "# This script creates a makefile using a tweaked version of gimptool outputs.)\n\n\n";

$gimp_libs=`gimptool --libs`;
$gimp_cflags=`gimptool --cflags`;

$gimp_libs=~s/\/target/c:\/gimplibs/g;
$gimp_cflags=~s/\/target/c:\/gimplibs/g;

print "$name.exe : $name.o\n";
print "\tc++ -o $name.exe $name.o -mno-cygwin -fnative-struct -O2 $gimp_libs\n";

print "$name.o : $name.cpp\n";
print "\tc++ -c $name.cpp -mno-cygwin -fnative-struct -Ic:/gimplibs $gimp_cflags\n"; 

print "clean:\n\trm $name.exe $name.o";